const int NUM_SLIDERS = 5;  // к-во потенциометров
const int analogInputs[NUM_SLIDERS] = {A0, A1, A2, A3, A4};
const int sharingPin = 3; // индекс пина из массива analogInputs[], которым будем управлять несколькими программами
const int NUM_PROGS = 11; // количество программ, в которых необходима регулировка звука

int analogSliderValues[NUM_PROGS];  // массив со считываемыми значениями потенциометров

void setup() {
  for (int i = 0; i < NUM_SLIDERS; i++)
    pinMode(analogInputs[i], INPUT);
    
  Serial.begin(9600);
}

void loop() {
  updateSliderValues();
  sendSliderValues();
  delay(10);
}

void updateSliderValues() {
  for (int i = 0; i < NUM_PROGS; i++) {
    if (i >= NUM_SLIDERS)
      analogSliderValues[i] = analogSliderValues[sharingPin];
    else
      analogSliderValues[i] = analogRead(analogInputs[i]);
  }
}

void sendSliderValues() {
  String builtString = String("");

  for (int i = 0; i < NUM_PROGS; i++) {
    builtString += String((int)analogSliderValues[i]);
    if (i < NUM_PROGS - 1) builtString += String("|");
  }
  Serial.println(builtString);
}

void printSliderValues() {
  for (int i = 0; i < NUM_PROGS; i++) {
    String printedString = String("Slider#") + String(i + 1) + String(": ") + String(analogSliderValues[i]) + String(" ");
    Serial.write(printedString.c_str());

    if (i < NUM_PROGS - 1)
      Serial.write(" | ");
    else
      Serial.write("\n");
  }
}
